<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if ($ya['level'] > 4){
///Главная
$diz -> head('Админ-поиск');
$diz -> title('Админ-поиск');
if (!isset($_POST['submit'])) {
$msg .= '<form action="poisk.php" method="POST"><div>';
$msg .= '<div class="fon">Тип поиска:<br/><select name="tip"><option value="ip">По IP</option></select><br/>';
$msg .= 'Запрос:<br/><input type="text" name="zap" value="" maxlength="40"/><br/>
<input type="submit" name="submit" value="Найти"/>
</div></form></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
} elseif(mb_strlen($func -> delprobel($func ->delsim($_POST['zap']))) == 0)
{
$diz -> head('Соблюдай длину');
$msg.='<div class="fon">Произошла ошибка!<br/><a href="./poisk.php">Админ-поиск</a></div>';
} else {
$diz -> head('результат поиска');
$tip = shit($_POST['tip']);
$zap = shit($_POST['zap']);
if($tip=='ip'){
$count = $db -> query("Select `id`,`ip`,`browser` FROM `users` WHERE `ip` like '%".$zap."%'");
$sql = $db -> query("SELECT `id`,`ip`,`browser` FROM `users` WHERE `ip` like '%".$zap."%' ORDER BY `id` DESC limit 0,20");
}
if($count>0){
while ($arr = $sql -> fetch_assoc()) {
$msg .= '<div class="top">
'.$func -> user($arr['id']).'<br/>
'.$arr['ip'].'<br/>
'.$arr['browser'].'
</div>';
}
} else $msg .= '<div class="fon">Человека с такими данными нет!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./poisk.php">Админ-поиск</a></br>
'.$diz -> img('back.png').'<a href="./">Админка</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
    }
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else header('location: ./');
}else header('location: '.ROOT.'aut.php');
?>